<?php



function brightbook_set_logo($css, $logo) {
 global $OUTPUT;
 $tag = '[[setting:logo]]';
 $replacement = $logo;
 if (is_null($replacement)) {
 $replacement = $OUTPUT->pix_url('logo', 'theme');
 }
 $css = str_replace($tag, $replacement, $css);
 return $css;
}


function brightbook_set_headerbackgroundcolor($css, $headerbackgroundcolor) {
    $tag = '[[setting:headerbackgroundcolor]]';
    $replacement = $headerbackgroundcolor;
    if (is_null($replacement)) {
        $replacement = '#FFFFFF';
    }
    $css = str_replace($tag, $replacement, $css);
    return $css;
}

function brightbook_set_footbackgroundcolor($css, $footbackgroundcolor) {
    $tag = '[[setting:footbackgroundcolor]]';
    $replacement = $footbackgroundcolor;
    if (is_null($replacement)) {
        $replacement = '#FAFAFA';
    }
    $css = str_replace($tag, $replacement, $css);
    return $css;
}


function brightbook_process_css($css, $theme) { 

//set the heading background color
if (!empty($theme->settings->headerbackgroundcolor)) {
        $headerbackgroundcolor = $theme->settings->headerbackgroundcolor;
    } else {
        $headerbackgroundcolor = null;
    } 
    $css = brightbook_set_headerbackgroundcolor($css, $headerbackgroundcolor);
	
	//Set the footer background color
	
	if (!empty($theme->settings->footbackgroundcolor)) {
        $footbackgroundcolor = $theme->settings->footbackgroundcolor;
    } else {
        $footbackgroundcolor = null;
    } 
    $css = brightbook_set_footbackgroundcolor($css, $footbackgroundcolor);
	
	
     // Set the logo image
    if (!empty($theme->settings->logo)) {
        $logo = $theme->settings->logo;
    } else {
        $logo = null;
    }
    $css = brightbook_set_logo($css, $logo);
	
	 
    
    return $css;
    
    
    
}
